Subject: [PATCH] dmaengine: dmatest: bug out when dma test times out

From: [email-masked] (Vinod Koul)
Date: Thu, 2 Nov 2017 22:03:40 +0530

On Thu, Nov 02, 2017 at 07:50:02AM -0500, Timur Tabi wrote:
> On 11/02/2017 07:11 AM, Adam Wallis wrote:
> >>This will essentially kill the system. People have been trying to remove
> >>usage of BUG(), we should not do that. Complaining violently makes sense..
> >>
> >Understood. In my testing, the system is effectively shot if you run the dmatest
> >in a tight enough loop, however, at least using a WARN would alert the user that
> >the kernel might be in an unstable state. I will submit another patch with a
> >WARN, even though, I hope a proper fix can be introduced at some point. I am not
> >familiar enough with this code to propose such a fix at the moment though.
> 
> I think Adam's original patch is correct, because as he said, the code as it
> is today corrupts the kernel.  The BUG() is a stop-cap measure to prevent
> the user from thinking that the kernel is stable when it isn't.

It also helps people to get more information to debug the systems

> So I think that either dmatest gets fixed properly today (which Adam said he
> cannot do), or you should apply his patch until the code can get fixed.

Ofcourse fixing is better.

-- 
~Vinod